Not the answer you need?
Register and ask your own question!

Attribute (innodb_version) does not pass the type constraint...

empemp EntrantInactive User Role Beginner
"Attribute (innodb_version) does not pass the type constraint because: Validation failed for 'Str' with value undef at /usr/bin/pt-table-sync line 1432."

I'm using pt-table-sync to sync one table from a MySQL 5.5 server to a MySQL 5.7 server. Seems like there should be a simple fix to this error. It just throws this error and quits.

Comments

  • empemp Entrant Inactive User Role Beginner
    I found out what happened. I had used MySQL 5.7 on data that was from a 5.5 database without running mysql_upgrade. "show variables" was erroring out with a table not found error, causing that error in pt-table-sync.
Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.